# Update taxGroups (v1.0)
Update the properties of a tax groups object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
PATCH businesscentralPrefix/companies({id})/taxGroups({id})
```
## Request headers (v1.0)
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
If-Match|Required. When this request header is included and the eTag provided does not match the current tag on the taxGroups, the taxGroups will not be updated.
## Request body (v1.0)
In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
## Response (v1.0)
If successful, this method returns a ```200 OK``` response code and an updated taxGroups object in the response body.
## Example (v1.0)
Request
Here is an example of the request.
```json
PATCH https://{businesscentralPrefix}/api/v1.0/companies({id})/taxGroups({id})
Content-type: application/json

{
  "displayName": "Taxable Furniture"
}
```
Response
Here is an example of the response.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
HTTP/1.1 200 OK
Content-type: application/json

{
  "id": "id-value",
  "code": "FURNITURE",
  "displayName": "Taxable Furniture",
  "lastModifiedDateTime": "2017-03-15T02:20:57.09Z"
  }
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
Tax Groups<../resources/dynamics_taxgroups>
Get Tax Groups<dynamics_taxgroups_get>
Create Tax Groups<dynamics_create_taxgroups>
Delete Tax Groups<dynamics_taxgroups_delete>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_taxgroups_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_taxgroups_update/
